---
title: ls - Directory List
description: List directory contents
---

List directory contents, sorted alphabetically, directories suffixed with `/`, includes hidden files.

## Dependencies

No extra dependencies, available by default.

## Parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `path` | string | Yes | Directory path, relative paths are based on workspace directory |
| `limit` | integer | No | Maximum entries to return, default 500 |

## Use Cases

- Browse project structure
- Find specific files
- Check if a directory exists
